apiVersion: backstage.io/v1alpha1
kind: Component
metadata:
  name: xblock-lti-consumer
  description: "This XBlock implements the consumer side of the LTI specification enabling integration of third-party LTI provider tools."
  annotations:
    github.com/project-slug: openedx/xblock-lti-consumer
  links:
    - url: "https://openedx.biterg.io/app/kibana#/dashboard/GitHub-Pull-Requests-Backlog?_g=()&_a=(description:'GitHub%20Pull%20Requests%20Backlog%20panel%20by%20Bitergia',filters:!(('$state':(store:appState),meta:(alias:Bots,disabled:!f,index:github_issues,key:author_bot,negate:!t,params:(query:!t,type:phrase),type:phrase,value:true),query:(match:(author_bot:(query:!t,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:github_issues,key:github_repo,negate:!f,params:(query:openedx%2Fxblock-lti-consumer,type:phrase),type:phrase,value:openedx%2Fxblock-lti-consumer),query:(match:(github_repo:(query:openedx%2Fxblock-lti-consumer,type:phrase))))),fullScreenMode:!f,options:(darkTheme:!f,useMargins:!t),panels:!((embeddableConfig:(title:'Open%20Pull%20Requests%20Statistics'),gridData:(h:8,i:'2',w:32,x:0,y:0),id:github_pullrequests_openpullrequests_statistics,panelIndex:'2',title:'Open%20Pull%20Requests%20Statistics',type:visualization,version:'6.8.6'),(embeddableConfig:(title:Backlog,vis:(legendOpen:!f)),gridData:(h:8,i:'17',w:16,x:32,y:0),id:github_pull_requests_backlog_waiting_to_be_closed,panelIndex:'17',title:Backlog,type:visualization,version:'6.8.6'),(embeddableConfig:(title:'Backlog:%20Pull%20Requests%20(Accumulated%20Time)'),gridData:(h:8,i:'18',w:16,x:32,y:8),id:github_pull_requests_backlog_waiting_to_be_closed_accumulated_time,panelIndex:'18',title:'Backlog:%20Pull%20Requests%20(Accumulated%20Time)',type:visualization,version:'6.8.6'),(embeddableConfig:(title:Organizations),gridData:(h:16,i:'20',w:16,x:32,y:16),id:github_pull_requests_open_organizations,panelIndex:'20',title:Organizations,type:visualization,version:'6.8.6'),(embeddableConfig:(title:Projects,vis:(params:(config:(searchKeyword:''),sort:(columnIndex:!n,direction:!n)))),gridData:(h:28,i:'21',w:16,x:32,y:32),id:github_pull_requests_projects_backlog,panelIndex:'21',title:Projects,type:visualization,version:'6.8.6'),(embeddableConfig:(title:'Backlog%20Submitters',vis:(params:(config:(searchKeyword:''),sort:(columnIndex:!n,direction:!n)))),gridData:(h:28,i:'22',w:16,x:0,y:32),id:github_pull_requests_backlog_submitters,panelIndex:'22',title:'Backlog%20Submitters',type:visualization,version:'6.8.6'),(embeddableConfig:(title:Organizations,vis:(params:(config:(searchKeyword:''),sort:(columnIndex:!n,direction:!n)))),gridData:(h:28,i:'23',w:16,x:16,y:32),id:github_pull_requests_organizations_backlog,panelIndex:'23',title:Organizations,type:visualization,version:'6.8.6'),(embeddableConfig:(title:'Backlog%20(Open%20Pull%20Requests)',vis:(params:(config:(searchKeyword:''),sort:(columnIndex:!n,direction:!n)))),gridData:(h:24,i:'24',w:32,x:0,y:8),id:github_pull_requests_backlog,panelIndex:'24',title:'Backlog%20(Open%20Pull%20Requests)',type:visualization,version:'6.8.6')),query:(language:lucene,query:(query_string:(analyze_wildcard:!t,default_field:'*',query:'*'))),timeRestore:!f,title:'GitHub%20Pull%20Requests%20Backlog',viewMode:view)"
      title: Grimoire Pull Request Backlog
      icon: dashboard
spec:
  type: XBlock
  lifecycle: production
  owner: masters-devs-cosmonauts
